Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ajax4jsf.javascript
Class JSFunctionDefinition

    java.lang.Object
      org.ajax4jsf.javascript.ScriptStringBase
          org.ajax4jsf.javascript.JSFunctionDefinition

All Implemented Interfaces:
  ScriptString

    public class JSFunctionDefinition

extends ScriptStringBase
implements ScriptString

Version:
  $Revision: 1.1.2.2 $ $Date: 2007/01/24 13:22:31 $
Author:
  shura (latest modification by $Author: alexsmirnov $)

Constructor Summary
`JSFunctionDefinition(java.lang.Object... params)` Construct `JSFunctionDefinition` with arbitrary list of params

Method Summary
`void` | `addParameter(java.lang.Object param)`
`JSFunctionDefinition` | `addToBody(java.lang.Object body)`
`void` | `appendScript(java.lang.StringBuffer functionString)` Append JavaScript code to @link StringBuffer
`java.lang.String` | `getName()`
`void` | `setName(java.lang.String name)`

Methods inherited from class org.ajax4jsf.javascript.ScriptStringBase
`toScript, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.ajax4jsf.javascript.ScriptString
`toScript`

Constructor Detail

### JSFunctionDefinition

    public JSFunctionDefinition(java.lang.Object... params)

  Construct `JSFunctionDefinition` with arbitrary list of params

  Parameters:
    `params` -

Method Detail

### addParameter

    public void addParameter(java.lang.Object param)

### addToBody

    public JSFunctionDefinition addToBody(java.lang.Object body)

### appendScript

    public void appendScript(java.lang.StringBuffer functionString)

  Description copied from interface: `ScriptString`
  Append JavaScript code to @link StringBuffer

  Specified by:
    `appendScript` in interface `ScriptString`

### getName

    public java.lang.String getName()

  Returns:
    the name

### setName

    public void setName(java.lang.String name)

  Parameters:
    `name` - the name to set

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 JBoss, a division of Red Hat, Inc.. All Rights Reserved.